org.apache.cassandra.cql3

## Class WhereClause.Builder

- java.lang.Object
- - org.apache.cassandra.cql3.WhereClause.Builder

- Enclosing class:
    WhereClause

      public static final class WhereClause.Builder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Builder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `WhereClause.Builder` | `add(CustomIndexExpression expression)`
    `WhereClause.Builder` | `add(Relation relation)`
    `WhereClause` | `build()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder()

  - ### Method Detail

    - #### add

          public WhereClause.Builder add(Relation relation)

    - #### add

          public WhereClause.Builder add(CustomIndexExpression expression)

    - #### build

          public WhereClause build()

Copyright © 2018 The Apache Software Foundation